import { setRequest } from "@/utils/httpRequest";

/**
 * 7.1.1 管理员日志-列表
 */
export const logOperate_list = (data) => setRequest("logOperate/list", data);
/**
 * 7.1.2 管理员日志-添加
 */
export const logOperate_add = (data) => setRequest("logOperate/add", data);
/**
 * 7.2.1 设备推送日志-列表
 */
export const logPush_list = (data) => setRequest("logPush/list", data);
/**
 * 7.2.2 设备推送日志-添加
 */
export const logPush_add = (data) => setRequest("logPush/add", data);
/**
 * 7.3.1.2 设备位置日志-列表（分页）
 */
export const userPosition_list = (data) =>
  setRequest("userPosition/list", data);
/**
 * 7.3.2.2 设备位置日志-所有（导出）
 */
export const userPosition_list_all = (data) =>
  setRequest("userPosition/list_all", data);
/**
 * 7.4.1 设备事件日志-列表
 */
export const logdoperate_list_event = (data) =>
  setRequest("logdoperate/list_event", data);
/**
 * 7.4.2 设备事件日志-添加
 */
export const logdoperate_add = (data) => setRequest("logdoperate/add", data);
/**
 * 7.4.3 设备事件日志-所有（导出）
 */
export const logdoperate_list_event_all = (data) =>
  setRequest("logdoperate/list_event_all", data);
/**
 * 7.5.1 设备违规日志-列表
 */
export const logdoperate_list_violate = (data) =>
  setRequest("logdoperate/list_violate", data);
/**
 * 7.5.2 设备违规日志-所有（导出）
 */
export const logdoperate_list_violate_all = (data) =>
  setRequest("logdoperate/list_violate_all", data);
/**
 * 7.6.1 应用下载日志-列表
 */
export const logAppDown_list = (data) => setRequest("logAppDown/list", data);
/**
 * 7.6.2 应用下载日志-添加
 */
export const logAppDown_add = (data) => setRequest("logAppDown/add", data);
/**
 * 7.7.1 应用启动日志-列表
 */
export const logAppStart_list_start = (data) =>
  setRequest("logAppStart/list_start", data);
/**
 * 7.7.2 应用启动日志-添加
 */
export const logAppStart_add = (data) => setRequest("logAppStart/add", data);
/**
 * 7.8.1 设备已安装应用-列表
 */
export const logAppDown_list_install = (data) =>
  setRequest("logAppDown/list_install", data);
/**
 * 7.8.2 设备已安装应用-所有（导出）
 */
export const logAppDown_list_install_all = (data) =>
  setRequest("logAppDown/list_install_all", data);
/**
 * 7.8.2.2 设备已安装应用-列表
 */
export const logAppInstall_list = (data) =>
  setRequest("logAppInstall/list", data);
/**
 * 7.8.2.3 设备已安装应用-列表（导出）
 */
export const logAppInstall_list_all = (data) =>
  setRequest("logAppInstall/list_all", data);
/**
 * 7.9.1 设备导出-列表(平台、区域)
 */
export const logDeviceBind_list = (data) =>
  setRequest("logDeviceBind/list", data);
/**
 * 7.9.2 设备导出-列表导出(平台、区域)
 */
export const logDeviceBind_list_all = (data) =>
  setRequest("logDeviceBind/list_all", data);
/**
 * 7.9.3 设备导出-用户导出
 */
export const logDeviceBind_list_user = (data) =>
  setRequest("logDeviceBind/list_user", data);
/**
 * 7.9.4 设备导出-列表学校
 */
export const logDeviceBind_list_school = (data) =>
  setRequest("logDeviceBind/list_school", data);
/**
 * 7.9.5 设备导出-列表区域
 */
export const logDeviceBind_list_region = (data) =>
  setRequest("logDeviceBind/list_region", data);
/**
 * 7.10.3 违规设备--合规处理
 */
export const logdoperate_edit_handled = (data) =>
  setRequest("logdoperate/edit_handled", data);
/**
 * 7.11.1 日志消息-未读数量
 */
export const logdoperatemsg_get_nrn = (data) =>
  setRequest("logdoperatemsg/get_nrn", data);
/**
 * 7.11.2 日志消息-列表
 */
export const logdoperatemsg_list = (data) =>
  setRequest("logdoperatemsg/list", data);
/**
 * 7.11.3 日志消息-查看
 */
export const logdoperatemsg_edit_read = (data) =>
  setRequest("logdoperatemsg/edit_read", data);
